summaryrefslogtreecommitdiff
path: root/initscripts
diff options
context:
space:
mode:
Diffstat (limited to 'initscripts')
-rw-r--r--initscripts/initscripts-1.0/beagle/devices60
-rw-r--r--initscripts/initscripts-1.0/bootmisc.sh50
-rw-r--r--initscripts/initscripts-1.0/checkfs.sh46
-rw-r--r--initscripts/initscripts-1.0/checkroot.sh165
-rw-r--r--initscripts/initscripts-1.0/devpts5
-rw-r--r--initscripts/initscripts-1.0/extractfs28
-rw-r--r--initscripts/initscripts-1.0/finish6
-rw-r--r--initscripts/initscripts-1.0/halt25
-rw-r--r--initscripts/initscripts-1.0/hostname.sh11
-rw-r--r--initscripts/initscripts-1.0/jornada56x/devices32
-rw-r--r--initscripts/initscripts-1.0/mountall.sh45
-rw-r--r--initscripts/initscripts-1.0/mountnfs.sh87
-rw-r--r--initscripts/initscripts-1.0/ramses/extractfs7
-rw-r--r--initscripts/initscripts-1.0/ramses/packages63
-rw-r--r--initscripts/initscripts-1.0/ramses/umountfs17
-rw-r--r--initscripts/initscripts-1.0/reboot11
-rw-r--r--initscripts/initscripts-1.0/rmnologin14
-rw-r--r--initscripts/initscripts-1.0/sendsigs17
-rw-r--r--initscripts/initscripts-1.0/single21
-rw-r--r--initscripts/initscripts-1.0/uml/devices59
-rw-r--r--initscripts/initscripts-1.0/umountfs18
-rw-r--r--initscripts/initscripts-1.0/urandom41
22 files changed, 828 insertions, 0 deletions
diff --git a/initscripts/initscripts-1.0/beagle/devices b/initscripts/initscripts-1.0/beagle/devices
index e69de29bb2..f80b7f9edb 100644
--- a/initscripts/initscripts-1.0/beagle/devices
+++ b/initscripts/initscripts-1.0/beagle/devices
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ ln -s /dev/tts/0 /dev/ttyS0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/misc/touchscreen/ucb1x00 /dev/ts
+ ln -sf /dev/misc/sa1100-sc /dev/sa1100-sc
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/initscripts/initscripts-1.0/bootmisc.sh b/initscripts/initscripts-1.0/bootmisc.sh
index e69de29bb2..74d27f513f 100644
--- a/initscripts/initscripts-1.0/bootmisc.sh
+++ b/initscripts/initscripts-1.0/bootmisc.sh
@@ -0,0 +1,50 @@
+#
+# bootmisc.sh Miscellaneous things to be done during bootup.
+#
+
+. /etc/default/rcS
+#
+# Put a nologin file in /etc to prevent people from logging in before
+# system startup is complete.
+#
+if test "$DELAYLOGIN" = yes
+then
+ echo "System bootup in progress - please wait" > /etc/nologin
+ cp /etc/nologin /etc/nologin.boot
+fi
+
+#
+# Set pseudo-terminal access permissions.
+#
+if ( ! grep -q devfs /proc/mounts ) && test -c /dev/ttyp0
+then
+ chmod 666 /dev/tty[p-za-e][0-9a-f]
+ chown root:tty /dev/tty[p-za-e][0-9a-f]
+fi
+
+#
+# Update /etc/motd.
+#
+if test "$EDITMOTD" != no
+then
+ uname -a > /etc/motd.tmp
+ sed 1d /etc/motd >> /etc/motd.tmp
+ mv /etc/motd.tmp /etc/motd
+fi
+
+#
+# This is as good a place as any for a sanity check
+# /tmp should be a symlink to /var/tmp to cut down on the number
+# of mounted ramdisks.
+if test ! -L /tmp && test -d /var/tmp
+then
+ rm -rf /tmp
+ ln -sf /var/tmp tmp
+fi
+
+#
+# Update dynamic library cache
+#
+/sbin/ldconfig
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/checkfs.sh b/initscripts/initscripts-1.0/checkfs.sh
index e69de29bb2..7d2d75ef57 100644
--- a/initscripts/initscripts-1.0/checkfs.sh
+++ b/initscripts/initscripts-1.0/checkfs.sh
@@ -0,0 +1,46 @@
+#
+# checkfs.sh Check all filesystems.
+#
+# Version: @(#)checkfs 2.83 05-Oct-2001 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Check the rest of the filesystems.
+#
+if test ! -f /fastboot
+then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test "`uname -m`" = "s390" && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking all filesystems..."
+ fsck $spinner -R -A $fix $force
+ if test "$?" -gt 1
+ then
+ echo
+ echo "fsck failed. Please repair manually."
+ echo
+ echo "CONTROL-D will exit from this shell and continue system startup."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ fi
+fi
+rm -f /fastboot /forcefsck
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/checkroot.sh b/initscripts/initscripts-1.0/checkroot.sh
index e69de29bb2..8255038c32 100644
--- a/initscripts/initscripts-1.0/checkroot.sh
+++ b/initscripts/initscripts-1.0/checkroot.sh
@@ -0,0 +1,165 @@
+#
+# checkroot.sh Check to root filesystem.
+#
+# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
+# from this script *before anything else* with a timeout, like SCO does.
+#
+test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
+
+#
+# Ensure that bdflush (update) is running before any major I/O is
+# performed (the following fsck is a good example of such activity :).
+#
+test -x /sbin/update && update
+
+#
+# Read /etc/fstab.
+#
+exec 9>&0 </etc/fstab
+rootmode=rw
+rootopts=rw
+rootcheck=no
+swap_on_md=no
+devfs=
+while read fs mnt type opts dump pass junk
+do
+ case "$fs" in
+ ""|\#*)
+ continue;
+ ;;
+ /dev/md*)
+ # Swap on md device.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ /dev/*)
+ ;;
+ *)
+ # Might be a swapfile.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ esac
+ test "$type" = devfs && devfs="$fs"
+ test "$mnt" != / && continue
+ rootopts="$opts"
+ test "$pass" = 0 -o "$pass" = "" && rootcheck=no
+ case "$opts" in
+ ro|ro,*|*,ro|*,ro,*)
+ rootmode=ro
+ ;;
+ esac
+done
+exec 0>&9 9>&-
+
+#
+# Activate the swap device(s) in /etc/fstab. This needs to be done
+# before fsck, since fsck can be quite memory-hungry.
+#
+doswap=no
+test -d /proc/1 || mount -n /proc
+case "`uname -r`" in
+ 2.[0123].*)
+ if test $swap_on_md = yes && grep -qs resync /proc/mdstat
+ then
+ test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
+ else
+ doswap=yes
+ fi
+ ;;
+ *)
+ doswap=yes
+ ;;
+esac
+if test $doswap = yes
+then
+ test "$VERBOSE" != no && echo "Activating swap"
+ swapon -a 2> /dev/null
+fi
+
+#
+# Check the root filesystem.
+#
+if test -f /fastboot || test $rootcheck = no
+then
+ test $rootcheck = yes && echo "Fast boot, no filesystem check"
+else
+ #
+ # Ensure that root is quiescent and read-only before fsck'ing.
+ #
+ mount -n -o remount,ro /
+ if test $? = 0
+ then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test `uname -m` = s390 && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking root filesystem..."
+ fsck $spinner $force $fix /
+ #
+ # If there was a failure, drop into single-user mode.
+ #
+ # NOTE: "failure" is defined as exiting with a return code of
+ # 2 or larger. A return code of 1 indicates that filesystem
+ # errors were corrected but that the boot may proceed.
+ #
+ if test "$?" -gt 1
+ then
+ # Surprise! Re-directing from a HERE document (as in
+ # "cat << EOF") won't work, because the root is read-only.
+ echo
+ echo "fsck failed. Please repair manually and reboot. Please note"
+ echo "that the root filesystem is currently mounted read-only. To"
+ echo "remount it read-write:"
+ echo
+ echo " # mount -n -o remount,rw /"
+ echo
+ echo "CONTROL-D will exit from this shell and REBOOT the system."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ reboot -f
+ fi
+ else
+ echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
+ echo
+ fi
+fi
+
+#
+# If the root filesystem was not marked as read-only in /etc/fstab,
+# remount the rootfs rw but do not try to change mtab because it
+# is on a ro fs until the remount succeeded. Then clean up old mtabs
+# and finally write the new mtab.
+#
+mount -n -o remount,$rootmode /
+if test "$rootmode" = rw
+then
+ if test ! -L /etc/mtab
+ then
+ rm -f /etc/mtab~ /etc/nologin
+ : > /etc/mtab
+ fi
+ mount -f -o remount /
+ mount -f /proc
+ test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
+fi
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/devpts b/initscripts/initscripts-1.0/devpts
index e69de29bb2..4a0978b404 100644
--- a/initscripts/initscripts-1.0/devpts
+++ b/initscripts/initscripts-1.0/devpts
@@ -0,0 +1,5 @@
+# GID of the `tty' group
+TTYGRP=5
+
+# Set to 600 to have `mesg n' be the default
+TTYMODE=620
diff --git a/initscripts/initscripts-1.0/extractfs b/initscripts/initscripts-1.0/extractfs
index e69de29bb2..e5fa4e2985 100644
--- a/initscripts/initscripts-1.0/extractfs
+++ b/initscripts/initscripts-1.0/extractfs
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. /etc/default/rcS
+
+set -e
+
+if (grep -q 'ramfs.*/var.*ramfs' /proc/mounts) || (grep -q 'tmpfs.*/var.*tmpfs' /proc/mounts)
+then
+ if test "$VERBOSE" != "no"; then echo -n "Populating /var filesystem: "; fi
+ cd /
+ tar -xpf /boot/var.tar
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+# Sharp ROM compatibility links
+if ! [ -e /home/QtPalmtop ]; then
+ ln -sf /opt/QtPalmtop /home/QtPalmtop
+fi
+
+if ! [ -e /home/root ]; then
+ ln -sf /root /home/root
+fi
+
+exit 0
diff --git a/initscripts/initscripts-1.0/finish b/initscripts/initscripts-1.0/finish
index e69de29bb2..4f9f75f47c 100644
--- a/initscripts/initscripts-1.0/finish
+++ b/initscripts/initscripts-1.0/finish
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if ! test -e /etc/.configured; then
+ > /etc/.configured
+fi
+
diff --git a/initscripts/initscripts-1.0/halt b/initscripts/initscripts-1.0/halt
index e69de29bb2..d8cab222ca 100644
--- a/initscripts/initscripts-1.0/halt
+++ b/initscripts/initscripts-1.0/halt
@@ -0,0 +1,25 @@
+#! /bin/sh
+#
+# halt Execute the halt command.
+#
+# Version: @(#)halt 2.84-2 07-Jan-2002 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# See if we need to cut the power.
+if test -x /etc/init.d/ups-monitor
+then
+ /etc/init.d/ups-monitor poweroff
+fi
+
+# Don't shut down drives if we're using RAID.
+hddown="-h"
+if grep -qs '^md.*active' /proc/mdstat
+then
+ hddown=""
+fi
+
+halt -d -f -i -p $hddown
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/hostname.sh b/initscripts/initscripts-1.0/hostname.sh
index e69de29bb2..0f3d374286 100644
--- a/initscripts/initscripts-1.0/hostname.sh
+++ b/initscripts/initscripts-1.0/hostname.sh
@@ -0,0 +1,11 @@
+#
+# hostname.sh Set hostname.
+#
+# Version: @(#)hostname.sh 1.10 26-Feb-2001 miquels@cistron.nl
+#
+
+if test -f /etc/hostname
+then
+ hostname -F /etc/hostname
+fi
+
diff --git a/initscripts/initscripts-1.0/jornada56x/devices b/initscripts/initscripts-1.0/jornada56x/devices
index e69de29bb2..d7b346a655 100644
--- a/initscripts/initscripts-1.0/jornada56x/devices
+++ b/initscripts/initscripts-1.0/jornada56x/devices
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/initscripts/initscripts-1.0/mountall.sh b/initscripts/initscripts-1.0/mountall.sh
index e69de29bb2..b5cb85a1e9 100644
--- a/initscripts/initscripts-1.0/mountall.sh
+++ b/initscripts/initscripts-1.0/mountall.sh
@@ -0,0 +1,45 @@
+#
+# mountall.sh Mount all filesystems.
+#
+# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
+#
+. /etc/default/rcS
+
+#
+# Mount local filesystems in /etc/fstab. For some reason, people
+# might want to mount "proc" several times, and mount -v complains
+# about this. So we mount "proc" filesystems without -v.
+#
+test "$VERBOSE" != no && echo "Mounting local filesystems..."
+mount -at nonfs,nosmbfs,noncpfs 2>/dev/null
+
+#
+# We might have mounted something over /dev, see if /dev/initctl is there.
+#
+if test ! -p /dev/initctl
+then
+ rm -f /dev/initctl
+ mknod -m 600 /dev/initctl p
+fi
+kill -USR1 1
+
+#
+# Execute swapon command again, in case we want to swap to
+# a file on a now mounted filesystem.
+#
+doswap=yes
+case "`uname -r`" in
+ 2.[0123].*)
+ if grep -qs resync /proc/mdstat
+ then
+ doswap=no
+ fi
+ ;;
+esac
+if test $doswap = yes
+then
+ swapon -a 2> /dev/null
+fi
+
+: exit 0
+
diff --git a/initscripts/initscripts-1.0/mountnfs.sh b/initscripts/initscripts-1.0/mountnfs.sh
index e69de29bb2..84cb3651fc 100644
--- a/initscripts/initscripts-1.0/mountnfs.sh
+++ b/initscripts/initscripts-1.0/mountnfs.sh
@@ -0,0 +1,87 @@
+#
+# mountnfs.sh Now that TCP/IP is configured, mount the NFS file
+# systems in /etc/fstab if needed. If possible,
+# start the portmapper before mounting (this is needed for
+# Linux 2.1.x and up).
+#
+# Also mounts SBM filesystems now, so the name of
+# this script is getting increasingly inaccurate.
+#
+# Version: @(#)mountnfs.sh 2.83 05-Oct-2001 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Run in a subshell because of I/O redirection.
+#
+test -f /etc/fstab && (
+
+#
+# Read through fstab line by line. If it is NFS, set the flag
+# for mounting NFS filesystems. If any NFS partition is found and it
+# not mounted with the nolock option, we start the portmapper.
+#
+portmap=no
+mount_nfs=no
+mount_smb=no
+mount_ncp=no
+while read device mountpt fstype options
+do
+ case "$device" in
+ ""|\#*)
+ continue
+ ;;
+ esac
+
+ case "$options" in
+ *noauto*)
+ continue
+ ;;
+ esac
+
+ if test "$fstype" = nfs
+ then
+ mount_nfs=yes
+ case "$options" in
+ *nolock*)
+ ;;
+ *)
+ portmap=yes
+ ;;
+ esac
+ fi
+ if test "$fstype" = smbfs
+ then
+ mount_smb=yes
+ fi
+ if test "$fstype" = ncpfs
+ then
+ mount_ncp=yes
+ fi
+done
+
+exec 0>&1
+
+if test "$portmap" = yes
+then
+ if test -x /sbin/portmap
+ then
+ echo -n "Starting portmapper... "
+ start-stop-daemon --start --quiet --exec /sbin/portmap
+ sleep 2
+ fi
+fi
+
+if test "$mount_nfs" = yes || test "$mount_smb" = yes || test "$mount_ncp" = yes
+then
+ echo "Mounting remote filesystems..."
+ test "$mount_nfs" = yes && mount -a -t nfs
+ test "$mount_smb" = yes && mount -a -t smbfs
+ test "$mount_ncp" = yes && mount -a -t ncpfs
+fi
+
+) < /etc/fstab
+
+: exit 0
+
diff --git a/initscripts/initscripts-1.0/ramses/extractfs b/initscripts/initscripts-1.0/ramses/extractfs
index e69de29bb2..7e57dedd2d 100644
--- a/initscripts/initscripts-1.0/ramses/extractfs
+++ b/initscripts/initscripts-1.0/ramses/extractfs
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if (grep -q 'tmpfs.*/var.*tmpfs' /proc/mounts)
+then
+ test "$VERBOSE" != no && echo "Copying /var filesystem..."
+ cp -a /boot/var /
+fi
diff --git a/initscripts/initscripts-1.0/ramses/packages b/initscripts/initscripts-1.0/ramses/packages
index e69de29bb2..2566487d2d 100644
--- a/initscripts/initscripts-1.0/ramses/packages
+++ b/initscripts/initscripts-1.0/ramses/packages
@@ -0,0 +1,63 @@
+#!/bin/sh
+# Original author: ???
+#
+# Additions by Steph Meslin-Weber:
+# x Percentage display
+# x Dot display of dependency installations
+# - removed both of above
+# - display is now X of Y packages and current package name being installed
+
+#. /etc/default/rcS
+
+reconfigure () {
+ pkg=$1
+ path=$2
+ isdependent=$3
+ test -e "$path/info/$pkg.control" || return 1
+ depends="`cat $path/info/$pkg.control|grep Depends|cut -d: -f2`"
+
+ # make sure we haven't already installed this package
+ isthere=`cat /tmp/.configured.list|grep $pkg`
+ if test "$isthere" != ""; then
+ return 1
+ fi
+
+ if test "$depends" != ""; then
+ for dep in $depends; do
+ (echo $log|grep $dep >/dev/null 2>&1) || ( reconfigure $dep $path "$max" "$pkg" && log="$log $dep"; )
+ done
+ fi
+
+ echo -ne " ${pkg}"
+
+ test -e "$path/info/$pkg.prerm" && $path/info/$pkg.prerm unconfigure >/dev/null 2>&1
+ test -e "$path/info/$pkg.postinst" && $path/info/$pkg.postinst configure >/dev/null 2>&1
+
+ log="$log $pkg"
+
+ # append the installed package name to the list
+ echo -ne "$pkg\n" >> /tmp/.configured.list
+
+ echo
+ return 0
+}
+
+if test ! -e /etc/.configured; then
+ echo "Reconfiguring all packages installed to root:"
+
+ # create unique packages list file
+ rm -f /tmp/.configured.list
+ touch /tmp/.configured.list
+
+ log=""
+
+ for control in /usr/lib/ipkg/info/*.control; do
+ package=`echo $control|sed -e 's,.*/,,g; s,\.control,,g;'`
+ (echo $log|grep $package >/dev/null 2>&1) || reconfigure $package /usr/lib/ipkg
+ done
+
+ # cleanup unique packages list file
+ rm -f /tmp/.configured.list
+fi
+
+test -f /usr/lib/ipkg/info/task-ramses || ipkg install task-ramses
diff --git a/initscripts/initscripts-1.0/ramses/umountfs b/initscripts/initscripts-1.0/ramses/umountfs
index e69de29bb2..399194109b 100644
--- a/initscripts/initscripts-1.0/ramses/umountfs
+++ b/initscripts/initscripts-1.0/ramses/umountfs
@@ -0,0 +1,17 @@
+#! /bin/sh
+#
+# umountfs Turn off swap and unmount all local filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo "Deactivating swap..."
+swapoff -a
+
+# We leave /proc mounted.
+echo "Unmounting local filesystems..."
+umount -f -a -r
+
+mount -o remount,ro /
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/reboot b/initscripts/initscripts-1.0/reboot
index e69de29bb2..56278199be 100644
--- a/initscripts/initscripts-1.0/reboot
+++ b/initscripts/initscripts-1.0/reboot
@@ -0,0 +1,11 @@
+#! /bin/sh
+#
+# reboot Execute the reboot command.
+#
+# Version: @(#)reboot 2.75 22-Jun-1998 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo -n "Rebooting... "
+reboot -d -f -i
diff --git a/initscripts/initscripts-1.0/rmnologin b/initscripts/initscripts-1.0/rmnologin
index e69de29bb2..444145a26a 100644
--- a/initscripts/initscripts-1.0/rmnologin
+++ b/initscripts/initscripts-1.0/rmnologin
@@ -0,0 +1,14 @@
+#! /bin/sh
+#
+# rmnologin This script removes the /etc/nologin file as the last
+# step in the boot process.
+#
+# Version: @(#)rmnologin 1.00 22-Jun-1998 miquels@cistron.nl
+#
+
+if test -f /etc/nologin.boot
+then
+ rm -f /etc/nologin /etc/nologin.boot
+fi
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/sendsigs b/initscripts/initscripts-1.0/sendsigs
index e69de29bb2..c62a5cd37d 100644
--- a/initscripts/initscripts-1.0/sendsigs
+++ b/initscripts/initscripts-1.0/sendsigs
@@ -0,0 +1,17 @@
+#! /bin/sh
+#
+# sendsigs Kill all remaining processes.
+#
+# Version: @(#)sendsigs 2.75 22-Jun-1998 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Kill all processes.
+echo "Sending all processes the TERM signal..."
+killall5 -15
+sleep 5
+echo "Sending all processes the KILL signal..."
+killall5 -9
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/single b/initscripts/initscripts-1.0/single
index e69de29bb2..2d177ebb62 100644
--- a/initscripts/initscripts-1.0/single
+++ b/initscripts/initscripts-1.0/single
@@ -0,0 +1,21 @@
+#! /bin/sh
+#
+# single executed by init(8) upon entering runlevel 1 (single).
+#
+# Version: @(#)single 1.20 26-Geb-2001 miquels@cistron.nl
+#
+
+PATH="/sbin:/bin:/usr/sbin:/usr/bin"
+
+# Kill all processes.
+echo "Sending all processes the TERM signal..."
+killall5 -15
+sleep 5
+echo "Sending all processes the KILL signal..."
+killall5 -9
+
+# We start update here, since we just killed it.
+test -x /sbin/update && update
+
+echo "Entering single-user mode..."
+exec init -t1 S
diff --git a/initscripts/initscripts-1.0/uml/devices b/initscripts/initscripts-1.0/uml/devices
index e69de29bb2..241972679f 100644
--- a/initscripts/initscripts-1.0/uml/devices
+++ b/initscripts/initscripts-1.0/uml/devices
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+# ln -sf /dev/dsp1 /dev/sharp_buz
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/collie-fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/initscripts/initscripts-1.0/umountfs b/initscripts/initscripts-1.0/umountfs
index e69de29bb2..ec75b0c4a4 100644
--- a/initscripts/initscripts-1.0/umountfs
+++ b/initscripts/initscripts-1.0/umountfs
@@ -0,0 +1,18 @@
+#! /bin/sh
+#
+# umountfs Turn off swap and unmount all local filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo "Deactivating swap..."
+swapoff -a
+
+# We leave /proc mounted.
+echo "Unmounting local filesystems..."
+mount -o remount,ro /mnt/ram
+umount -f -a -r
+
+mount -o remount,ro /
+
+: exit 0
diff --git a/initscripts/initscripts-1.0/urandom b/initscripts/initscripts-1.0/urandom
index e69de29bb2..45c41d758b 100644
--- a/initscripts/initscripts-1.0/urandom
+++ b/initscripts/initscripts-1.0/urandom
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# urandom This script saves the random seed between reboots.
+# It is called from the boot, halt and reboot scripts.
+#
+# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
+#
+
+test -c /dev/urandom || exit 0
+. /etc/default/rcS
+
+case "$1" in
+ start|"")
+ test "$VERBOSE" != no && echo "Initializing random number generator..."
+ # Load and then save 512 bytes,
+ # which is the size of the entropy pool
+ if test -f /var/lib/urandom/random-seed
+ then
+ cat /var/lib/urandom/random-seed >/dev/urandom
+ fi
+ rm -f /var/lib/urandom/random-seed
+ umask 077
+ dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
+ >/dev/null 2>&1 || echo "urandom start: failed."
+ umask 022
+ ;;
+ stop)
+ # Carry a random seed from shut-down to start-up;
+ # see documentation in linux/drivers/char/random.c
+ test "$VERBOSE" != no && echo "Saving random seed..."
+ umask 077
+ dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
+ >/dev/null 2>&1 || echo "urandom stop: failed."
+ ;;
+ *)
+ echo "Usage: urandom {start|stop}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0